Ограничение по странам

Ответить
admiral
Сообщения: 6
Зарегистрирован: 22 авг 2016, 02:39
Имя: Алексадр
Откуда: Россия

Ограничение по странам

Сообщение admiral »

При настройки безопасности, а именно ограничения по странам обнаружил ошибки, раскрывающие путь к скриптам.
Скриншот с ошибками во вложении, данные ошибки будут появляться если на сервере уже установлен модуль geoip и связаны с тем что данные функции вызываются два раза и в скрипте нет проверки, поэтому для устранения данных ошибок пришлось закоментировать 4 функции в файле /includes/libs/maxmind/src/geoip.inc скрипта, но при последующем обновлении и замене файлов нужно будет опять не забыть их закоментировать, поэтому лучше сделать проверку на наличие модуля geoip на сервере и при его наличии не подключать функции, которые вызывают эти ошибки или возможно найдется какое то другое решение.
Вложения
2018-06-15_053638.jpg
Аватара пользователя
support
Техническая поддержка
Сообщения: 9049
Зарегистрирован: 19 окт 2014, 18:22
Имя: Харчишин Сергей
Откуда: Крым, Евпатория

Re: Ограничение по странам

Сообщение support »

Ясно, добавлю проверку.
Аватара пользователя
support
Техническая поддержка
Сообщения: 9049
Зарегистрирован: 19 окт 2014, 18:22
Имя: Харчишин Сергей
Откуда: Крым, Евпатория

Re: Ограничение по странам

Сообщение support »

Проверка добавлена для 2.3
admiral
Сообщения: 6
Зарегистрирован: 22 авг 2016, 02:39
Имя: Алексадр
Откуда: Россия

Re: Ограничение по странам

Сообщение admiral »

Скрипты обновлены до версии 2.3.1, ошибки остались.
Проверка похоже осуществляется только если пользователь не авторизован, т.е. по ссылкам /index.php?module=users/login или /index.php?module=users/login&action=logoff
Ответить